<script setup lang="ts">
import { RouterView, useRoute } from 'vue-router';
import SdgHeader from './components/SdgHeader.vue';
import { computed } from 'vue';
const route = useRoute();
const hasHeader = computed(() => route.meta.hasHeader);
</script>

<template>
  <div id="app2" class="h-full overflow-hidden">
    <SdgHeader v-if="hasHeader" />
    <main class="w-full">
      <RouterView :key="route.fullPath" />
    </main>
  </div>
</template>
